set(ITKVtkGlue_LOADED 1)
set(ITKVtkGlue_ENABLE_SHARED "1")
set(ITKVtkGlue_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PUBLIC_DEPENDS "ITKCommon;ITKVTK")
set(ITKVtkGlue_TRANSITIVE_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PRIVATE_DEPENDS "")
set(ITKVtkGlue_LIBRARIES "ITKVtkGlue")
set(ITKVtkGlue_INCLUDE_DIRS "${ITK_INSTALL_PREFIX}/include/InsightToolkit;/usr/include/vtk;/usr/include;/usr/include/freetype2")
set(ITKVtkGlue_LIBRARY_DIRS "")
set(ITKVtkGlue_RUNTIME_LIBRARY_DIRS "${ITK_INSTALL_PREFIX}/lib64/")
set(ITKVtkGlue_TARGETS_FILE "")

set(VTK_DIR "/usr/lib64/cmake/vtk")

find_package(VTK NO_MODULE REQUIRED)

if(NOT VTK_VERSION)
  set(VTK_VERSION "6.3.0")
endif()
if(NOT VTK_RENDERING_BACKEND)
  set(VTK_RENDERING_BACKEND OpenGL)
endif()
set(_target_freetypeopengl)
if(TARGET vtkRenderingFreeTypeOpenGL)
  set(_target_freetypeopengl vtkRenderingFreeTypeOpenGL)
endif()

if( 6.3.0 VERSION_LESS 6.0.0 )
  set(ITKVtkGlue_VTK_INCLUDE_DIRS /usr/include/vtk;/usr/include;/usr/include/freetype2;/usr/include/python2.7;/usr/include/libxml2)
  set(ITKVtkGlue_VTK_LIBRARIES vtksqlite;vtkGUISupportQtSQL;vtkIOSQL;vtkIOCore;vtkCommonDataModel;vtkCommonMath;vtkCommonCore;vtksys;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkCommonExecutionModel;/usr/lib64/libz.so;vtkViewsContext2D;vtkRenderingContext2D;vtkRenderingCore;vtkCommonColor;vtkFiltersExtraction;vtkFiltersCore;vtkFiltersGeneral;vtkCommonComputationalGeometry;vtkFiltersStatistics;vtkImagingFourier;vtkImagingCore;vtkalglib;vtkFiltersGeometry;vtkFiltersSources;vtkRenderingFreeType;/usr/lib64/libfreetype.so;vtkftgl;vtkViewsCore;vtkInteractionWidgets;vtkFiltersHybrid;vtkImagingSources;vtkFiltersModeling;vtkImagingGeneral;vtkImagingHybrid;vtkIOImage;vtkDICOMParser;vtkmetaio;/usr/lib64/libjpeg.so;/usr/lib64/libpng.so;/usr/lib64/libtiff.so;vtkInteractionStyle;vtkRenderingAnnotation;vtkImagingColor;vtkRenderingVolume;vtkFiltersTexture;/usr/lib64/libhdf5.so;/usr/lib64/libhdf5_hl.so;/usr/lib64/libdl.so;/usr/lib64/libm.so;verdict;vtkRenderingGL2PS;vtkRenderingContextOpenGL;vtkRenderingOpenGL;/usr/lib64/libgl2ps.so;vtkImagingStencil;vtkWrappingTools;vtkGeovisCore;vtkIOXML;vtkIOGeometry;vtkIOXMLParser;/usr/lib64/libexpat.so;vtkInfovisLayout;vtkInfovisCore;vtkproj4;vtkexoIIc;/lib64/libnetcdf_c++.so;/lib64/libnetcdf.so;vtkTestingGenericBridge;vtkRenderingLIC;vtkIOLegacy;vtkIOPLY;vtkWrappingPythonCore;/usr/lib64/libpython2.7.so;/usr/lib64/libxml2.so;vtkRenderingLOD;vtkRenderingImage;vtkFiltersSelection;vtkRenderingQt;vtkGUISupportQt;vtkRenderingLabel;vtkChartsCore;vtkFiltersFlowPaths;vtkFiltersProgrammable;vtkTestingIOSQL;/usr/lib64/libtheoraenc.so;/usr/lib64/libtheoradec.so;/usr/lib64/libogg.so;vtkViewsQt;vtkViewsInfovis;vtkFiltersImaging;vtkRenderingVolumeOpenGL;vtkImagingStatistics;vtkViewsGeovis;vtkIOInfovis;vtkImagingMath;vtkIONetCDF;vtkIOMovie;vtkIOLSDyna;vtkIOMINC;vtkFiltersParallel;vtkParallelCore;vtkFiltersAMR;vtkDomainsChemistry;vtkIOExport;vtkTestingRendering;vtkFiltersHyperTree;vtkImagingMorphological;/usr/lib64/libjsoncpp.so;vtkFiltersStatisticsGnuR;vtkIOEnSight;vtkFiltersPython;vtkIOVideo;vtkGUISupportQtWebkit;vtkGUISupportQtOpenGL;vtkFiltersGeneric;vtkIOExodus;vtkInteractionImage;vtkIOParallel;vtkWrappingJava;vtkFiltersSMP;vtkFiltersVerdict;vtkIOImport;vtkIOParallelXML;vtkIOAMR;vtkFiltersParallelImaging;vtkLocalExample)
else()
  set(_wrap_module)
  if(ITK_WRAP_PYTHON AND PYTHON_VERSION_STRING VERSION_LESS 3.0)
    set(_wrap_module vtkWrappingPythonCore)
  endif()
  vtk_module_config(ITKVtkGlue_VTK
    vtkRenderingOpenGL
    vtkRenderingFreeType
    
    vtkInteractionStyle
    vtkIOImage
    vtkImagingSources
    
    )

  set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS ${ITKVtkGlue_VTK_DEFINITIONS})
endif()

